<?php
if ( class_exists( 'StaffscoutCoreClassWidget' ) ) {
	
	class StaffScoutMikadoClassRawHTMLWidget extends StaffscoutCoreClassWidget {
		public function __construct() {
			parent::__construct(
				'mkdf_raw_html_widget',
				esc_html__( 'Mikado Raw HTML Widget', 'mkdf-core' ),
				array( 'description' => esc_html__( 'Add raw HTML holder to widget areas', 'mkdf-core' ) )
			);
			
			$this->setParams();
		}
		
		protected function setParams() {
			$this->params = array(
				array(
					'type'  => 'textfield',
					'name'  => esc_html__( 'extra_class', 'mkdf-core' ),
					'title' => esc_html__( 'Extra Class Name', 'mkdf-core' )
				),
				array(
					'type'  => 'textfield',
					'name'  => esc_html__( 'widget_title', 'mkdf-core' ),
					'title' => esc_html__( 'Widget Title', 'mkdf-core' )
				),
				array(
					'type'    => 'dropdown',
					'name'    => esc_html__( 'widget_grid', 'mkdf-core' ),
					'title'   => esc_html__( 'Widget Grid', 'mkdf-core' ),
					'options' => array(
						''     => esc_html__( 'Full Width', 'mkdf-core' ),
						'auto' => esc_html__( 'Auto', 'mkdf-core' )
					)
				),
				array(
					'type'  => 'textarea',
					'name'  => esc_html__( 'content', 'mkdf-core' ),
					'title' => esc_html__( 'Content', 'mkdf-core' )
				)
			);
		}
		
		public function widget( $args, $instance ) {
			$extra_class   = array();
			$extra_class[] = ! empty( $instance['extra_class'] ) ? $instance['extra_class'] : '';
			$extra_class[] = ! empty( $instance['widget_grid'] ) && $instance['widget_grid'] === 'auto' ? 'mkdf-grid-auto-width' : '';
			?>
			
			<div class="widget mkdf-raw-html-widget <?php echo esc_attr( implode( ' ', $extra_class ) ); ?>">
				<?php
				if ( ! empty( $instance['widget_title'] ) ) {
					echo wp_kses_post( $args['before_title'] ) . esc_html( $instance['widget_title'] ) . wp_kses_post( $args['after_title'] );
				}
				if ( ! empty( $instance['content'] ) ) {
					echo wp_kses_post( $instance['content'] );
				}
				?>
			</div>
			<?php
		}
	}
}